[package]
edition = "2021"
name = "swap-or-not-shuffle"
version = "0.0.0"

[lib]
crate-type = ["cdylib"]

[dependencies]
# Default enable napi4 feature, see https://nodejs.org/api/n-api.html#node-api-version-matrix
napi = { version = "3.0.0-alpha.28", default-features = false, features = ["napi8", "async"] }
napi-derive = "3.0.0-alpha.26"
ethereum_hashing = "0.7.0"
ethereum-types = "0.15.1"
# included to satisfy CI
ctor = "0.3.3"

[build-dependencies]
napi-build = "2.1.4"

[profile.release]
lto = true
strip = "symbols"
